Package org.eclipse.mat.query.registry

# Class QueryRegistry

java.lang.Object
org.eclipse.mat.util.RegistryReader<IQuery>
org.eclipse.mat.query.registry.QueryRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

public class QueryRegistry extends RegistryReader<IQuery>

## Constructor Summary

Constructors
Constructor
Description
`QueryRegistry()`

## Method Summary

Modifier and Type
Method
Description
`Collection<QueryDescriptor>`
`getQueries()`
`List<QueryDescriptor>`
`getQueries(Pattern pattern)`
`QueryDescriptor`
`getQuery(Class<? extends IQuery> query)`
`QueryDescriptor`
`getQuery(String name)`
`CategoryDescriptor`
`getRootCategory()`
`static QueryRegistry`
`instance()`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryRegistry

public QueryRegistry()

## Method Details

### instance

public static QueryRegistry instance()

### getQueries

public Collection<QueryDescriptor> getQueries()

### getQueries

public List<QueryDescriptor> getQueries(Pattern pattern)

### getRootCategory

public CategoryDescriptor getRootCategory()

### getQuery

public QueryDescriptor getQuery(String name)

### getQuery

public QueryDescriptor getQuery(Class<? extends IQuery> query)